#!/bin/sh

tmpcopy=$(tempfile -s elfquine_copy)
dump1=$(tempfile -s elfquine.hexdump)
dump2=$(tempfile -s elfquine_copy.hexdump)

./amd64elfquine > $tmpcopy
hexdump -C amd64elfquine > $dump1
hexdump -C $tmpcopy > $dump2

diff -rupN $dump1 $dump2 && echo "[Success] No differences"
ret=$?
rm $tmpcopy $dump1 $dump2
exit $ret
